<?php
/* Busqueda de registros de la tabla SEG_Menu redefinidos por el usuario. */
class SEG_MenuFN extends BaseSEG_MenuFN
{
    /**
     * 
     * @param String $s_IdRol
     * @param String $s_Tarea
     * @return array
     */
    public static function buscarPrimeraTarea( $s_IdRol, $s_Tarea )
    {
        $s_Sql = "
                    SELECT IdtareaHijo
                    FROM SEG_Menu
                      LEFT JOIN SEG_TareaRol ON SEG_Menu.IdTareaHijo=SEG_TareaRol.IdTarea
                    WHERE IdMenu IN
                    (
                        SELECT IdTareaHijo
                        FROM SEG_Menu
                          LEFT JOIN SEG_TareaRol ON SEG_Menu.IdTareaHijo=SEG_TareaRol.IdTarea
                        WHERE IdMenu='$s_Tarea' AND IdRol='$s_IdRol'
                        ORDER BY Secuencia
                    )
                    AND IdRol='$s_IdRol'
                    AND Estado=1
                    ORDER BY Secuencia
                    LIMIT 1;
        ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $a_Row = $o_ResultSet->getRow();
        return $a_Row;
    }

    public static function estaHabilitadoMenuPorIdtarea( $s_IdTarea )
    {
        $o_SEG_MenuFN = new SEG_MenuFN();
        $o_SEG_MenuFN->setIdTareaHijo( $s_IdTarea );
        $a_SEG_Menu = $o_SEG_MenuFN->select();
        if( $a_SEG_Menu )
        {
            $o_SEG_MenuBN = $a_SEG_Menu[0];
            return $o_SEG_MenuBN->getEstado();
        }
        return true;
    }
}
?>